Name:        calibre
Version:     3.33.1
Release:     %mkrel 1
Summary:     E-book converter and library management
Group:       Text tools
License:     GPLv3
URL:         http://calibre-ebook.com/
Source0:     http://code.calibre-ebook.com/dist/src/%{name}-%{version}.tar.xz
Source2:       %{name}-mount-helper
Patch1:        %{name}-no-update.patch
Patch2:        %{name}-nodisplay.patch
Patch3:        %{name}-hidpi.patch
BuildRequires:    python >= 2.7.1
BuildRequires:    %{_lib}python-devel >= 2.7.1
BuildRequires:    %{_lib}magick-devel >= 6.9.4.0
BuildRequires:    python-setuptools
BuildRequires:    %{_lib}qt5base5-devel
BuildRequires:    %{_lib}qt5core-devel
BuildRequires:    %{_lib}qt5core_ph-devel
BuildRequires:    %{_lib}qt5platformsupport-devel
BuildRequires:    %{_lib}qt5gui-devel
BuildRequires:    %{_lib}qt5fontdatabasesupport-static-devel
BuildRequires:    %{_lib}qt5eventdispatchersupport-static-devel
BuildRequires:    %{_lib}qt5servicesupport-static-devel
BuildRequires:    %{_lib}qt5themesupport-static-devel
BuildRequires:    python-qt5-devel
BuildRequires:    %{_lib}poppler-qt5-devel >= 0.12
BuildRequires:    %{_lib}poppler-glib-devel
BuildRequires:    %{_lib}podofo-devel
BuildRequires:    desktop-file-utils
BuildRequires:    python-mechanize
BuildRequires:    python-html5-parser
BuildRequires:    python-lxml
BuildRequires:    python-dateutil
BuildRequires:    python-six
BuildRequires:    python-imaging
BuildRequires:    python-apsw
BuildRequires:    xdg-utils
BuildRequires:    python-beautifulsoup
BuildRequires:    %{_lib}chm-devel
BuildRequires:    python-cssutils >= 0.9.9
BuildRequires:    python-cssselect
BuildRequires:    %{_lib}sqlite3-devel
BuildRequires:    %{_lib}icu-devel
BuildRequires:    %{_lib}png-devel
BuildRequires:    %{_lib}input-devel
BuildRequires:    %{_lib}xkbcommon-devel
BuildRequires:    unzip
BuildRequires:    libwmf-devel
BuildRequires:    %{_lib}mtp-devel
BuildRequires:    %{_lib}xrender-devel
BuildRequires:    %{_lib}openssl-devel
BuildRequires:    bash-completion
BuildRequires:    python-msgpack
BuildRequires:    python-regex
Requires:    python-feedparser
Requires:    python-dbus
Requires:    python-qt5
Requires:    python-pypdf
Requires:    python-cherrypy
Requires:    python-cssutils
Requires:    python-cssselect
Requires:    python-odf
Requires:    python-html5-parser
Requires:    python-lxml >= 3.8.0
Requires:    python-imaging
Requires:    python-mechanize
Requires:    python-dateutil
Requires:    python-genshi
Requires:    python-beautifulsoup
Requires:    python-netifaces
Requires:    python-six
Requires:    poppler
Requires:    fonts-ttf-liberation
Requires:    python-dns
Requires:    python-apsw
Requires:    python-msgpack
Requires:    python-regex
Requires:    python-pygments
Requires:    python-psutil

Obsoletes: calibre-manager
Provides: calibre-manager = %version-%release
Obsoletes: Calibre
Provides: Calibre = %version-%release


%description
Calibre is meant to be a complete e-library solution. It includes library
management, format conversion, news feeds to ebook conversion as well as
e-book reader sync features.

Calibre is primarily a ebook cataloging program. It manages your ebook
collection for you. It is designed around the concept of the logical book,
i.e. a single entry in the database that may correspond to ebooks in several
formats. It also supports conversion to and from a dozen different ebook
formats.

Supported input formats are: MOBI, LIT, PRC, EPUB, CHM, ODT, HTML, CBR, CBZ,
RTF, TXT, PDF and LRS.

%prep
%setup -q
%apply_patches

# remove redundant / non-free fonts
rm -rf resources/fonts/*/

# dos2unix newline conversion
sed -i -e 's/\r//' src/calibre/web/feeds/recipes/*

# fix the location of liberation default font
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/utils/magick/draw.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/library/catalogs/epub_mobi_builder.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/ebooks/oeb/polish/tests/base.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/ebooks/__init__.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  src/calibre/web/feeds/news.py
sed -i -e "s:P('fonts/liberation/Liberation:('%{_datadir}/fonts/TTF/liberation/Liberation:" \
  recipes/*_ke.recipe

# remove shebangs
sed -i -e '/^#!\//, 1d' src/calibre/*/*/*/*.py
sed -i -e '/^#!\//, 1d' src/calibre/*/*/*.py
sed -i -e '/^#![ ]*\//, 1d' src/calibre/*/*.py
sed -i -e '/^#!\//, 1d' src/calibre/*.py
sed -i -e '/^#!\//, 1d' src/templite/*.py
sed -i -e '/^#!\//, 1d' resources/default_tweaks.py
sed -i -e '/^#!\//, 1d' recipes/*.recipe

chmod -x src/calibre/*/*/*/*.py \
    src/calibre/*/*/*.py \
    src/calibre/*/*.py \
    src/calibre/*.py

rm -rvf resources/viewer/mathjax

%build
#export PYTHONPATH="/usr/lib/qt5/include/QtGui/"
OVERRIDE_CFLAGS="%{optflags}" python setup.py build

%install
mkdir -p %{buildroot}%{_datadir}

# create directories for xdg-utils
mkdir -p %{buildroot}%{_datadir}/icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor
mkdir -p %{buildroot}%{_datadir}/packages
mkdir -p %{buildroot}%{_datadir}/mime
mkdir -p %{buildroot}%{_datadir}/mime/packages
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_datadir}/desktop-directories

# create directory for gnome software data
mkdir -p %{buildroot}%{_datadir}/appdata

# create directory for calibre environment module
# the install script assumes it's there.
mkdir -p %{buildroot}%{python2_sitelib}

# create directory for completion files, so calibre knows where
# to install them
mkdir -p %{buildroot}%{_datadir}/bash-completion/completions
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions

XDG_DATA_DIRS="%{buildroot}%{_datadir}" \
XDG_UTILS_INSTALL_MODE="system" \
LIBPATH="%{_libdir}" \
python2 setup.py install --root=%{buildroot}%{_prefix} \
            --prefix=%{_prefix} \
            --libdir=%{_libdir} \
            --staging-libdir=%{buildroot}%{_libdir} \
            --staging-sharedir=%{buildroot}%{_datadir} 

# remove shebang from init_calibre.py here because
# it just got spawned by the install script
sed -i -e '/^#!\//, 1d' %{buildroot}%{python2_sitelib}/init_calibre.py

# icons
mkdir -p %{buildroot}%{_datadir}/pixmaps/
cp -p resources/images/library.png        \
    %{buildroot}%{_datadir}/pixmaps/%{name}-gui.png
cp -p resources/images/viewer.png        \
    %{buildroot}%{_datadir}/pixmaps/calibre-viewer.png
cp -p resources/images/tweak.png        \
    %{buildroot}%{_datadir}/pixmaps/calibre-ebook-edit.png

# every file is empty here
find %{buildroot}%{_datadir}/mime -maxdepth 1 -type f|xargs rm -f

# packages aren't allowed to register mimetypes like this
rm -f %{buildroot}%{_datadir}/applications/defaults.list
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache
rm -f %{buildroot}%{_datadir}/mime/application/*.xml
rm -f %{buildroot}%{_datadir}/mime/text/*.xml

desktop-file-validate \
%{buildroot}%{_datadir}/applications/calibre-ebook-viewer.desktop
desktop-file-validate \
%{buildroot}%{_datadir}/applications/calibre-gui.desktop
desktop-file-validate \
%{buildroot}%{_datadir}/applications/calibre-lrfviewer.desktop

# mimetype icon for lrf
rm -rf %{buildroot}%{_datadir}/icons/hicolor/128x128
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/mimetypes
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/scalable/apps
cp -p resources/images/mimetypes/lrf.png \
      %{buildroot}%{_datadir}/icons/hicolor/scalable/mimetypes/application-x-sony-bbeb.png
cp -p resources/images/viewer.png \
      %{buildroot}%{_datadir}/icons/hicolor/scalable/apps/calibre-viewer.png

# these are provided as separate packages
rm -rf %{buildroot}%{_libdir}/%{name}/{odf,cherrypy,pyPdf,encutils,cssutils}
rm -rf %{buildroot}%{_libdir}/%{name}/cal/utils/genshi
rm -rf %{buildroot}%{_libdir}/%{name}/cal/trac

# link to system fonts after we have deleted the non-free ones
# http://oldbugs.calibre-ebook.com/ticket/3832
mkdir -p %{buildroot}%{_datadir}/%{name}/fonts/prs500
ln -s %{_datadir}/fonts/TTF/liberation/LiberationSans-Regular.ttf \
      %{buildroot}%{_datadir}/%{name}/fonts/prs500/tt0003m_.ttf
ln -s %{_datadir}/fonts/TTF/liberation/LiberationSerif-Regular.ttf \
      %{buildroot}%{_datadir}/%{name}/fonts/prs500/tt0011m_.ttf
ln -s %{_datadir}/fonts/TTF/liberation/LiberationMono-Regular.ttf \
      %{buildroot}%{_datadir}/%{name}/fonts/prs500/tt0419m_.ttf

# rm empty feedparser files.
rm -rf %{buildroot}%{_libdir}/%{name}/%{name}/web/feeds/feedparser.*

ln -s %{python2_sitelib}/feedparser.py \
      %{buildroot}%{_libdir}/%{name}/%{name}/web/feeds/feedparser.py
ln -s %{python2_sitelib}/feedparser.pyc \
      %{buildroot}%{_libdir}/%{name}/%{name}/web/feeds/feedparser.pyc
ln -s %{python2_sitelib}/feedparser.pyo \
      %{buildroot}%{_libdir}/%{name}/%{name}/web/feeds/feedparser.pyo

# localization has changed since calibre-0.8.5
# locale.zip is treated internally at runtime
# so the traditional locale fixes are moot.
# locales should still be looked for in the proper place
# but under the new localization zip-based schema
sed -i -e 's:localization/locale.zip:%{_datadir}/%{name}/localization/locales.zip:' %{buildroot}%{_libdir}/%{name}/%{name}/utils/localization.py  
rm -f %{buildroot}%{_bindir}/%{name}-uninstall
cp -a %{SOURCE2} %{buildroot}%{_bindir}/

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%preun
rm -f %{_datadir}/%{name}/viewer/mathjax

%postun
update-desktop-database &> /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    touch --no-create %{_datadir}/mime/packages &> /dev/null || :
    update-mime-database %{_datadir}/mime &> /dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null || :
###ln -s %{_jsdir}/mathjax %{_datadir}/%{name}/viewer/


%files
%doc COPYRIGHT LICENSE Changelog.yaml
%{_bindir}/calibre
%{_bindir}/calibre-complete
%{_bindir}/calibre-customize
%{_bindir}/calibre-debug
%{_bindir}/calibre-parallel
%{_bindir}/calibre-server
%{_bindir}/calibre-smtp
%{_bindir}/calibre-mount-helper
%{_bindir}/calibredb
%{_bindir}/ebook-convert
%{_bindir}/ebook-device
%{_bindir}/ebook-meta
%{_bindir}/ebook-viewer
%{_bindir}/ebook-polish
%{_bindir}/ebook-edit
%{_bindir}/fetch-ebook-metadata
%{_bindir}/lrf2lrs
%{_bindir}/lrfviewer
%{_bindir}/lrs2lrf
%{_bindir}/markdown-calibre
%{_bindir}/web2disk
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/zsh/site-functions/_%{name}
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/mime/packages/*
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/icons/hicolor/*/mimetypes/*
%{_datadir}/metainfo/%{name}-*.appdata.xml
%{python2_sitelib}/init_calibre.py*


%changelog
* Mon Nov 05 2018 adrianomorselli <adrianomorselli> 3.33.1-1uplos2018
- update
